Package wx :: Module html :: Class HtmlWindow

[frames | no frames]

## Type HtmlWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                ScrolledWindow --+
                                 |
                                HtmlWindow

Known Subclasses:
  `PyClickableHtmlWindow`

Proxy of C++ HtmlWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| `AddFilter(filter)` (Static method)
bool | `AppendToPage(self, source)`
| ``base_OnCellClicked`(*args, **kwargs)` Please use HtmlWindow.OnCellClicked instead.
| ``base_OnCellMouseHover`(*args, **kwargs)` Please use HtmlWindow.OnCellMouseHover instead.
| ``base_OnLinkClicked`(*args, **kwargs)` Please use HtmlWindow.OnLinkClicked instead.
| ``base_OnSetTitle`(*args, **kwargs)` Please use HtmlWindow.OnSetTitle instead.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
Cursor | `GetDefaultHTMLCursor(type)` (Static method)
HtmlContainerCell | `GetInternalRepresentation(self)`
String | `GetOpenedAnchor(self)`
String | `GetOpenedPage(self)`
String | `GetOpenedPageTitle(self)`
HtmlWinParser | `GetParser(self)`
Frame | `GetRelatedFrame(self)`
bool | `HasAnchor(self, anchor)`
bool | `HistoryBack(self)`
bool | `HistoryCanBack(self)`
bool | `HistoryCanForward(self)`
| `HistoryClear(self)`
bool | `HistoryForward(self)`
bool | `LoadFile(self, filename)`
bool | `LoadPage(self, location)`
bool | `OnCellClicked(self, cell, x, y, event)`
| `OnCellMouseHover(self, cell, x, y)`
| `OnLinkClicked(self, link)`
int | `OnOpeningURL(self, type, url, redirect)`
| `OnSetTitle(self, title)`
| `ReadCustomization(self, cfg, path)`
bool | `ScrollToAnchor(self, anchor)`
| `SelectAll(self)`
String | `SelectionToText(self)`
| `SelectLine(self, pos)`
| `SelectWord(self, pos)`
| `SetBackgroundImage(self, bmpBg)`
| `SetBorders(self, b)`
| `SetFonts(self, normal_face, fixed_face, sizes)`
bool | `SetPage(self, source)`
| `SetRelatedFrame(self, frame, format)`
| `SetRelatedStatusBar(self, bar)`
| `SetStandardFonts(self, size, normal_face, fixed_face)`
String | `ToText(self)`
| `WriteCustomization(self, cfg, path)`

Property Summary
| `InternalRepresentation`: See `GetInternalRepresentation`
| `OpenedAnchor`: See `GetOpenedAnchor`
| `OpenedPage`: See `GetOpenedPage`
| `OpenedPageTitle`: See `GetOpenedPageTitle`
| `Parser`: See `GetParser`
| `RelatedFrame`: See `GetRelatedFrame`
| `thisown`: The membership flag

Class Variable Summary
`int` | `HTMLCursor_Default` = 0
`int` | `HTMLCursor_Link` = 1
`int` | `HTMLCursor_Text` = 2

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=HW_DEFAULT_STYLE, name=HtmlWindowNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.ScrolledWindow.__init__` (inherited documentation)

### base_OnCellClicked(*args, **kwargs)

Please use HtmlWindow.OnCellClicked instead.

### base_OnCellMouseHover(*args, **kwargs)

Please use HtmlWindow.OnCellMouseHover instead.

### base_OnLinkClicked(*args, **kwargs)

Please use HtmlWindow.OnLinkClicked instead.

### base_OnSetTitle(*args, **kwargs)

Please use HtmlWindow.OnSetTitle instead.

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=HW_SCROLLBAR_AUTO, name=HtmlWindowNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.ScrolledWindow.Create` (inherited documentation)

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### InternalRepresentation

See `GetInternalRepresentation`

  Get Method:
    `GetInternalRepresentation`(self)

### OpenedAnchor

See `GetOpenedAnchor`

  Get Method:
    `GetOpenedAnchor`(self)

### OpenedPage

See `GetOpenedPage`

  Get Method:
    `GetOpenedPage`(self)

### OpenedPageTitle

See `GetOpenedPageTitle`

  Get Method:
    `GetOpenedPageTitle`(self)

### Parser

See `GetParser`

  Get Method:
    `GetParser`(self)

### RelatedFrame

See `GetRelatedFrame`

  Get Method:
    `GetRelatedFrame`(self)

### thisown

The membership flag

  Get Method:
    unknown--1218996156(...)
  Set Method:
    unknown--1218996100(...)

Class Variable Details

### HTMLCursor_Default

  Type:
    `int`
  Value:

        0

### HTMLCursor_Link

  Type:
    `int`
  Value:

        1

### HTMLCursor_Text

  Type:
    `int`
  Value:

        2

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:41 2007 | http://epydoc.sf.net